1
Vote

Cannot build solution with KoM

description

Hi Lex,

I have a problem with another solution. When I enable KindOfMagic for one project in a solution, the dependent projects fail to build, and the following warning appears:

Warning 7 The primary reference "somelibrary.dll" could not be resolved because it has an indirect dependency on the .NET Framework assembly "mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" which has a higher version "4.0.0.0" than the version "2.0.0.0" in the current target framework.

It looks like when I enable KoM, the dll appears to be built for .Net 4.0, although it is targeted to .Net 3.5 (as are all other projects in this solution). The project is a library for .Net 3.5, Windows Forms.
What could I do to make it target back to .Net 3.5?
Thank you in advance.

Kind regards,
Andrey Anishchenko

comments